Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::views::single_fn Struct Reference

## Synopsis of methods
constexpr single_fn | single {}

## Public Member Functions
template<typename Val >
single_view< Val > | operator() (Val value) const

## Member Function Documentation

## ◆ operator()()

template<typename Val >

single_view<Val> ranges::views::single_fn::operator() | ( | Val | value | ) | const

Precondition
  requires `copy_constructible<Val>`